/* EBECF0 */

:root {
  --background: #ececf4;
  --table-background: #fcfcfd;
  --primary: #272727;
  --gray: #a0a7b1;
  --odd-row: #f6f9ff;
  --th-background: #f4f5fc;
  --gray-background: #edeef1;
  --gray-mid: #f1f2f6;
}

/* body {
    font-family: sans-serif;
    margin: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    padding: 16px;
    background-color: var(
        --background
    );
} */

.caption-container {
  font-size: 1.12rem;
  font-weight: 700;
  text-align: left;
  /* padding-bottom: 16px; */
  /* border-bottom: 2px solid var(--gray-background); */
}

.table-widget {
  border-radius: 16px;
  display: block;
  background-color: var(--table-background);
  /* padding: 24px; */
  width: 100%;
  /* margin: 16px; */
  max-width: 100%;
  min-width: 100%;
  border: 2px solid var(--gray-background);
  box-shadow: 0px 4px 16px 0px rgba(148, 156, 169, 0.15);
  text-align: left;
  overflow-x: auto;
}

.table-wrapper {
  overflow-x: auto;
  overflow-y: auto;
  padding-bottom: 8px;
}

.table-widget table {
  min-width: 100%;
  border-collapse: collapse;
  /* table-layout: fixed; */
}

.table-widget thead {
  position: sticky;
}

.table-widget th {
  padding: 12px 12px 12px 8px;
  font-size: 0.875rem;
  color: var(--gray);
  width: fit-content;
  white-space: nowrap;
  text-align: center;
  background-color: var(--th-background);
  border: var(--th-background) !important ;
}

.table-widget tfoot {
  margin-top: 16px;
  border-top: 2px solid var(--gray-background);
}

.table-widget td {
  padding: 7px 7px 7px 4px;
  vertical-align: middle;
  white-space: nowrap;
  border-bottom: 2px solid var(--gray-background);
}
.table-widget th {
  padding: 7px 7px 7px 4px;
  vertical-align: middle;
  white-space: nowrap;
  border-bottom: 2px solid var(--gray-background);
  border-right: 1px solid var(--gray-background);
}

.caption-container {
  display: flex;
  width: 100%;
  align-items: center;
}

.table-row-count {
  font-size: 0.8rem;
  font-weight: 700;
  background-color: var(--gray-mid);
  padding: 8px;
  display: inline-flex;
  align-items: center;
  margin-left: 10px;
  border-radius: 8px;
  border: 2px solid #7e8299;
  height: 28px;
}

.stock-wrapper {
  display: flex;
  align-items: center;
  gap: 8px;
}

.stock-info {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

/* .stock-info__ticker {
  font-weight: 700;
} */

.stock__name {
  font-weight: 700;
  white-space: nowrap;
}

.stock img {
  width: 32px;
  height: 32px;
  object-fit: contain;
}

.table-widget {
  min-height: 80px;
}

.sticky-left {
  position: sticky;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: var(--table-background);
}

.sticky-right {
  position: sticky;
  z-index: 1;
  top: 0;
  right: 0;
  background-color: var(--table-background);
}

.caption-container {
  display: flex;
  align-items: center;
}

.caption-container svg {
  margin-top: -2px;
}

.table-title {
  display: flex;
  gap: 12px;
}

.price {
  font-weight: 600;
}

.up {
  color: #2ecc71;
}

.down {
  color: #e3452f;
}

.sticky-right button {
  border-radius: 12px;
  background-color: var(--gray-mid);
  color: var(--primary);
  outline: none;
  font-weight: 700;
  font-size: 16px;
  border: none;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  padding: 10px 16px;
}
.status button {
  border-radius: 12px;
  background-color: var(--gray-mid);
  color: var(--primary);
  outline: none;
  font-weight: 700;
  font-size: 10px;
  border: none;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  /* padding: 10px 16px; */
}

.sticky-right button:hover {
  background-color: var(--primary);
  color: var(--background);
}

.table-wrapper::-webkit-scrollbar,
.table-wrapper-agreed::-webkit-scrollbar,
.table-wrapper-delivered::-webkit-scrollbar {
  height: 12px;
  width: 100%;
}

.table-wrapper::-webkit-scrollbar-track,
.table-wrapper-agreed::-webkit-scrollbar-track,
.table-wrapper-delivered::-webkit-scrollbar-track {
  background: var(--gray-mid);
  border-radius: 6px;
}

.table-wrapper::-webkit-scrollbar-thumb,
.table-wrapper-agreed::-webkit-scrollbar-thumb,
.table-wrapper-delivered::-webkit-scrollbar-thumb {
  background: var(--gray);
  border-radius: 5px;
}

.table-wrapper table,
.table-wrapper-agreed table {
  width: 100%;
}

@media screen and (max-width: 768px) {
  .table-widget table,
  .table-wrapper-agreed table,
  .table-wrapper-delivered table {
    width: auto !important;
  }
}
.label.label-md.label-inline {
  width: fit-content !important;
}

.table-widget th:first-child {
  border-right: none;
}

.table-responsive {
  overflow-y: auto;
  /* height: 600px; */
  height: 90vh;
}
.table-responsive thead {
  position: sticky;
  top: 0;
  /* z-index: 2; */
}

